----------------
-- StealthHenge --
----------------

local StealthHenge = Henge:NewModule("StealthHenge")
StealthHenge.fullname = "StealthHenge"
StealthHenge.icon     = "icon"
local ML, SL, PT = nil, nil, nil

function StealthHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "ROGUE"
end

function StealthHenge:Load()
	ML = HengeLocale:LoadStealthHenge()
	SL = AceLibrary("Babble-Spell-2.2")
	PT = AceLibrary("PeriodicTable-2.0")
	self.db = Henge:AcquireDBNamespace("StealthHenge")

	-- Set up defaults
	self.defaultsPC = {}
	self.defaults = {}
	Henge:RegisterDefaults("StealthHenge", "profile", self.defaults)
	Henge:RegisterDefaults("StealthHenge", "char", self.defaultsPC)



	HengeSphere:AddData({
		["id"] = "energy",
		["name"] = ML["Energy"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["stealth"] = SL["Stealth"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = "spell",
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "stealth",
		["type"] = "action",
		["name"] = SL["Stealth"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "stealth"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
end
